package com.ruoyi.zdsz.service;

import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zdsz.domain.ZEngineeringGY;
import com.ruoyi.zdsz.domain.bo.ZEngineeringIndustryBo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringIndustryGYBo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringGYVo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringIndustryTypeVo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringIndustryVo;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 工业工程Service接口
 *
 * @author ruoyi
 * @date 2024-01-02
 */
public interface IZEngineeringGYService {


    /**
     * 查询工业工程
     */
    ZEngineeringGYVo queryById(String id);

    /**
     * 查询工业工程
     */
    TableDataInfo<ZEngineeringGYVo> queryPageList(ZEngineeringIndustryGYBo bo, PageQuery pageQuery);

    /**
     * 查询工业工程
     */
    List<ZEngineeringGYVo> queryList(ZEngineeringIndustryGYBo bo);

    /**
     * 新增工业工程
     */
    Boolean insertByBo(ZEngineeringIndustryGYBo bo);

    /**
     * 修改工业工程
     */
    Boolean updateByBo(ZEngineeringIndustryGYBo bo);

    Boolean updateNodeByBo(ZEngineeringIndustryGYBo bo);

    /**
     * 校验并批量删除工业工程
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    ZEngineeringGYVo query(String id, String type);

    ZEngineeringGYVo query(String id);
    List<?> queryByType(ZEngineeringIndustryGYBo bo);

}
